Show / Hide Table of Contents

# Struct ActionTimelineDriver

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ActionTimelineDriver

### Fields

| Improve this Doc View Source

#### TimelineIds

##### Declaration

    public ushort *TimelineIds

##### Field Value

Type | Description
--- | ---
System.UInt16* |

| Improve this Doc View Source

#### TimelineSlotCount

##### Declaration

    public const int TimelineSlotCount = 13

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TimelineSpeeds

##### Declaration

    public float *TimelineSpeeds

##### Field Value

Type | Description
--- | ---
System.Single* |

### Methods

| Improve this Doc View Source

#### PlayTimeline(UInt16, Void*)

##### Declaration

    public void PlayTimeline(ushort actionTimelineId, void *a2 = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt16 | actionTimelineId |
System.Void* | a2 |

| Improve this Doc View Source

#### SetSlotSpeed(UInt32, Single)

##### Declaration

    public void SetSlotSpeed(uint slot, float speed)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | slot |
System.Single | speed |